
set_property IOSTANDARD LVDS [get_ports dclk_p]
set_property IOSTANDARD LVDS [get_ports dclk_n]

set_property PACKAGE_PIN AY24 [get_ports dclk_p]
set_property PACKAGE_PIN AY23 [get_ports dclk_n]

### These are sample constraints, please use correct constraints for your device
### update the gt_refclk pin location accordingly and un-comment the below two lines
set_property PACKAGE_PIN W8 [get_ports gt_refclk_n]
set_property PACKAGE_PIN W9 [get_ports gt_refclk_p]

set_property PACKAGE_PIN Y2 [get_ports {gt_rxp_in[0]}]
set_property PACKAGE_PIN Y1 [get_ports {gt_rxn_in[0]}]
set_property PACKAGE_PIN V7 [get_ports {gt_txp_out[0]}]
set_property PACKAGE_PIN V6 [get_ports {gt_txn_out[0]}]

set_property PACKAGE_PIN W4 [get_ports {gt_rxp_in[1]}]
set_property PACKAGE_PIN W3 [get_ports {gt_rxn_in[1]}]
set_property PACKAGE_PIN T7 [get_ports {gt_txp_out[1]}]
set_property PACKAGE_PIN T6 [get_ports {gt_txn_out[1]}]

set_property PACKAGE_PIN V2 [get_ports {gt_rxp_in[2]}]
set_property PACKAGE_PIN V1 [get_ports {gt_rxn_in[2]}]
set_property PACKAGE_PIN P7 [get_ports {gt_txp_out[2]}]
set_property PACKAGE_PIN P6 [get_ports {gt_txn_out[2]}]

set_property PACKAGE_PIN U4 [get_ports {gt_rxp_in[3]}]
set_property PACKAGE_PIN U3 [get_ports {gt_rxn_in[3]}]
set_property PACKAGE_PIN M7 [get_ports {gt_txp_out[3]}]
set_property PACKAGE_PIN M6 [get_ports {gt_txn_out[3]}]

# CPU_RESET
set_property PACKAGE_PIN L19 [get_ports sys_reset]
set_property IOSTANDARD LVCMOS12 [get_ports sys_reset]

###Board constraints to be added here
### Below XDC constraints are for VCU108 board with xcvu095-ffva2104-2-e-es2 device
### Change these constraints as per your board and device
#### Push Buttons
#button center
set_property PACKAGE_PIN BD23 [get_ports button_center]
set_property IOSTANDARD LVCMOS18 [get_ports button_center]

#button south
set_property PACKAGE_PIN BE22 [get_ports button_south]
set_property IOSTANDARD LVCMOS18 [get_ports button_south]

#button west
set_property PACKAGE_PIN BF22 [get_ports button_west]
set_property IOSTANDARD LVCMOS18 [get_ports button_west]

#button north
set_property PACKAGE_PIN BB24 [get_ports button_north]
set_property IOSTANDARD LVCMOS18 [get_ports button_north]

#button east
set_property PACKAGE_PIN BE23 [get_ports button_east]
set_property IOSTANDARD LVCMOS18 [get_ports button_east]

### LEDs
set_property PACKAGE_PIN AT32 [get_ports rx_gt_locked_led]
set_property IOSTANDARD LVCMOS12 [get_ports rx_gt_locked_led]
##
set_property PACKAGE_PIN AV34 [get_ports rx_block_lock_led]
set_property IOSTANDARD LVCMOS12 [get_ports rx_block_lock_led]
##
set_property PACKAGE_PIN AY30 [get_ports {completion_status[0]}]
set_property IOSTANDARD LVCMOS12 [get_ports {completion_status[0]}]
##
set_property PACKAGE_PIN BB32 [get_ports {completion_status[1]}]
set_property IOSTANDARD LVCMOS12 [get_ports {completion_status[1]}]
##
set_property PACKAGE_PIN BF32 [get_ports {completion_status[2]}]
set_property IOSTANDARD LVCMOS12 [get_ports {completion_status[2]}]
##
set_property PACKAGE_PIN AU37 [get_ports {completion_status[3]}]
set_property IOSTANDARD LVCMOS12 [get_ports {completion_status[3]}]
##
set_property PACKAGE_PIN AV36 [get_ports {completion_status[4]}]
set_property IOSTANDARD LVCMOS12 [get_ports {completion_status[4]}]


##
## Switches
##
set_property PACKAGE_PIN D21 [get_ports {gpio_switch[0]}]
set_property PACKAGE_PIN J16 [get_ports {gpio_switch[1]}]
set_property PACKAGE_PIN G16 [get_ports {gpio_switch[2]}]
set_property PACKAGE_PIN B17 [get_ports {gpio_switch[3]}]
set_property IOSTANDARD LVCMOS12 [get_ports {gpio_switch[0]}]
set_property IOSTANDARD LVCMOS12 [get_ports {gpio_switch[1]}]
set_property IOSTANDARD LVCMOS12 [get_ports {gpio_switch[2]}]
set_property IOSTANDARD LVCMOS12 [get_ports {gpio_switch[3]}]



create_clock -period 8.000 -name dclk_clk [get_pins dclk_BUFG_inst/O]



set_property IOSTANDARD LVDS [get_ports uclk_p]
set_property IOSTANDARD LVDS [get_ports uclk_n]

set_property PACKAGE_PIN AW23 [get_ports uclk_p]
set_property PACKAGE_PIN AW22 [get_ports uclk_n]

create_clock -period 6.400 -name uclk_clk [get_pins uclk_BUFG_inst/O]



set_max_delay -datapath_only -from [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/RXOUTCLK}]] -to [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/TXOUTCLK}]] 6.400
set_max_delay -datapath_only -from [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/TXOUTCLK}]] -to [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/RXOUTCLK}]] 6.400


set_max_delay -datapath_only -from [get_clocks dclk_clk] -to [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/TXOUTCLK}]] 8.000
set_max_delay -datapath_only -from [get_clocks dclk_clk] -to [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/RXOUTCLK}]] 8.000


set_max_delay -datapath_only -from [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/RXOUTCLK}]] -to [get_clocks dclk_clk] 6.400
set_max_delay -datapath_only -from [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */channel_inst/*_CHANNEL_PRIM_INST/TXOUTCLK}]] -to [get_clocks dclk_clk] 6.400


###
# DDR 0
###
# 250 MHZ clk
set_property IOSTANDARD DIFF_SSTL12 [get_ports c0_sys_clk_p]
set_property PACKAGE_PIN E12 [get_ports c0_sys_clk_p]
set_property PACKAGE_PIN D12 [get_ports c0_sys_clk_n]
set_property IOSTANDARD DIFF_SSTL12 [get_ports c0_sys_clk_n]

set_property PACKAGE_PIN E13 [get_ports c0_ddr4_act_n]
set_property PACKAGE_PIN D14 [get_ports {c0_ddr4_adr[0]}]
set_property PACKAGE_PIN C12 [get_ports {c0_ddr4_adr[10]}]
set_property PACKAGE_PIN B13 [get_ports {c0_ddr4_adr[11]}]
set_property PACKAGE_PIN C13 [get_ports {c0_ddr4_adr[12]}]
set_property PACKAGE_PIN D15 [get_ports {c0_ddr4_adr[13]}]
set_property PACKAGE_PIN H14 [get_ports {c0_ddr4_adr[14]}]
set_property PACKAGE_PIN H15 [get_ports {c0_ddr4_adr[15]}]
set_property PACKAGE_PIN F15 [get_ports {c0_ddr4_adr[16]}]
set_property PACKAGE_PIN B15 [get_ports {c0_ddr4_adr[1]}]
set_property PACKAGE_PIN B16 [get_ports {c0_ddr4_adr[2]}]
set_property PACKAGE_PIN C14 [get_ports {c0_ddr4_adr[3]}]
set_property PACKAGE_PIN C15 [get_ports {c0_ddr4_adr[4]}]
set_property PACKAGE_PIN A13 [get_ports {c0_ddr4_adr[5]}]
set_property PACKAGE_PIN A14 [get_ports {c0_ddr4_adr[6]}]
set_property PACKAGE_PIN A15 [get_ports {c0_ddr4_adr[7]}]
set_property PACKAGE_PIN A16 [get_ports {c0_ddr4_adr[8]}]
set_property PACKAGE_PIN B12 [get_ports {c0_ddr4_adr[9]}]
set_property PACKAGE_PIN G15 [get_ports {c0_ddr4_ba[0]}]
set_property PACKAGE_PIN G13 [get_ports {c0_ddr4_ba[1]}]
set_property PACKAGE_PIN H13 [get_ports {c0_ddr4_bg[0]}]
set_property PACKAGE_PIN F14 [get_ports {c0_ddr4_ck_t[0]}]
set_property PACKAGE_PIN E14 [get_ports {c0_ddr4_ck_c[0]}]
set_property PACKAGE_PIN A10 [get_ports {c0_ddr4_cke[0]}]
set_property PACKAGE_PIN F13 [get_ports {c0_ddr4_cs_n[0]}]
set_property PACKAGE_PIN G11 [get_ports {c0_ddr4_dm_dbi_n[0]}]
set_property PACKAGE_PIN R18 [get_ports {c0_ddr4_dm_dbi_n[1]}]
set_property PACKAGE_PIN K17 [get_ports {c0_ddr4_dm_dbi_n[2]}]
set_property PACKAGE_PIN G18 [get_ports {c0_ddr4_dm_dbi_n[3]}]
set_property PACKAGE_PIN B18 [get_ports {c0_ddr4_dm_dbi_n[4]}]
set_property PACKAGE_PIN P20 [get_ports {c0_ddr4_dm_dbi_n[5]}]
set_property PACKAGE_PIN L23 [get_ports {c0_ddr4_dm_dbi_n[6]}]
set_property PACKAGE_PIN G22 [get_ports {c0_ddr4_dm_dbi_n[7]}]
set_property PACKAGE_PIN E24 [get_ports {c0_ddr4_dm_dbi_n[8]}]
set_property PACKAGE_PIN C9 [get_ports {c0_ddr4_dm_dbi_n[9]}]
set_property PACKAGE_PIN F11 [get_ports {c0_ddr4_dq[0]}]
set_property PACKAGE_PIN M18 [get_ports {c0_ddr4_dq[10]}]
set_property PACKAGE_PIN M17 [get_ports {c0_ddr4_dq[11]}]
set_property PACKAGE_PIN N19 [get_ports {c0_ddr4_dq[12]}]
set_property PACKAGE_PIN N18 [get_ports {c0_ddr4_dq[13]}]
set_property PACKAGE_PIN N17 [get_ports {c0_ddr4_dq[14]}]
set_property PACKAGE_PIN M16 [get_ports {c0_ddr4_dq[15]}]
set_property PACKAGE_PIN L16 [get_ports {c0_ddr4_dq[16]}]
set_property PACKAGE_PIN K16 [get_ports {c0_ddr4_dq[17]}]
set_property PACKAGE_PIN L18 [get_ports {c0_ddr4_dq[18]}]
set_property PACKAGE_PIN K18 [get_ports {c0_ddr4_dq[19]}]
set_property PACKAGE_PIN E11 [get_ports {c0_ddr4_dq[1]}]
set_property PACKAGE_PIN J17 [get_ports {c0_ddr4_dq[20]}]
set_property PACKAGE_PIN H17 [get_ports {c0_ddr4_dq[21]}]
set_property PACKAGE_PIN H19 [get_ports {c0_ddr4_dq[22]}]
set_property PACKAGE_PIN H18 [get_ports {c0_ddr4_dq[23]}]
set_property PACKAGE_PIN F19 [get_ports {c0_ddr4_dq[24]}]
set_property PACKAGE_PIN F18 [get_ports {c0_ddr4_dq[25]}]
set_property PACKAGE_PIN E19 [get_ports {c0_ddr4_dq[26]}]
set_property PACKAGE_PIN E18 [get_ports {c0_ddr4_dq[27]}]
set_property PACKAGE_PIN G20 [get_ports {c0_ddr4_dq[28]}]
set_property PACKAGE_PIN F20 [get_ports {c0_ddr4_dq[29]}]
set_property PACKAGE_PIN F10 [get_ports {c0_ddr4_dq[2]}]
set_property PACKAGE_PIN E17 [get_ports {c0_ddr4_dq[30]}]
set_property PACKAGE_PIN D16 [get_ports {c0_ddr4_dq[31]}]
set_property PACKAGE_PIN D17 [get_ports {c0_ddr4_dq[32]}]
set_property PACKAGE_PIN C17 [get_ports {c0_ddr4_dq[33]}]
set_property PACKAGE_PIN C19 [get_ports {c0_ddr4_dq[34]}]
set_property PACKAGE_PIN C18 [get_ports {c0_ddr4_dq[35]}]
set_property PACKAGE_PIN D20 [get_ports {c0_ddr4_dq[36]}]
set_property PACKAGE_PIN D19 [get_ports {c0_ddr4_dq[37]}]
set_property PACKAGE_PIN C20 [get_ports {c0_ddr4_dq[38]}]
set_property PACKAGE_PIN B20 [get_ports {c0_ddr4_dq[39]}]
set_property PACKAGE_PIN F9 [get_ports {c0_ddr4_dq[3]}]
set_property PACKAGE_PIN N23 [get_ports {c0_ddr4_dq[40]}]
set_property PACKAGE_PIN M23 [get_ports {c0_ddr4_dq[41]}]
set_property PACKAGE_PIN R21 [get_ports {c0_ddr4_dq[42]}]
set_property PACKAGE_PIN P21 [get_ports {c0_ddr4_dq[43]}]
set_property PACKAGE_PIN R22 [get_ports {c0_ddr4_dq[44]}]
set_property PACKAGE_PIN P22 [get_ports {c0_ddr4_dq[45]}]
set_property PACKAGE_PIN T23 [get_ports {c0_ddr4_dq[46]}]
set_property PACKAGE_PIN R23 [get_ports {c0_ddr4_dq[47]}]
set_property PACKAGE_PIN K24 [get_ports {c0_ddr4_dq[48]}]
set_property PACKAGE_PIN J24 [get_ports {c0_ddr4_dq[49]}]
set_property PACKAGE_PIN H12 [get_ports {c0_ddr4_dq[4]}]
set_property PACKAGE_PIN M21 [get_ports {c0_ddr4_dq[50]}]
set_property PACKAGE_PIN L21 [get_ports {c0_ddr4_dq[51]}]
set_property PACKAGE_PIN K21 [get_ports {c0_ddr4_dq[52]}]
set_property PACKAGE_PIN J21 [get_ports {c0_ddr4_dq[53]}]
set_property PACKAGE_PIN K22 [get_ports {c0_ddr4_dq[54]}]
set_property PACKAGE_PIN J22 [get_ports {c0_ddr4_dq[55]}]
set_property PACKAGE_PIN H23 [get_ports {c0_ddr4_dq[56]}]
set_property PACKAGE_PIN H22 [get_ports {c0_ddr4_dq[57]}]
set_property PACKAGE_PIN E23 [get_ports {c0_ddr4_dq[58]}]
set_property PACKAGE_PIN E22 [get_ports {c0_ddr4_dq[59]}]
set_property PACKAGE_PIN G12 [get_ports {c0_ddr4_dq[5]}]
set_property PACKAGE_PIN F21 [get_ports {c0_ddr4_dq[60]}]
set_property PACKAGE_PIN E21 [get_ports {c0_ddr4_dq[61]}]
set_property PACKAGE_PIN F24 [get_ports {c0_ddr4_dq[62]}]
set_property PACKAGE_PIN F23 [get_ports {c0_ddr4_dq[63]}]
set_property PACKAGE_PIN A24 [get_ports {c0_ddr4_dq[64]}]
set_property PACKAGE_PIN A23 [get_ports {c0_ddr4_dq[65]}]
set_property PACKAGE_PIN C24 [get_ports {c0_ddr4_dq[66]}]
set_property PACKAGE_PIN C23 [get_ports {c0_ddr4_dq[67]}]
set_property PACKAGE_PIN B23 [get_ports {c0_ddr4_dq[68]}]
set_property PACKAGE_PIN B22 [get_ports {c0_ddr4_dq[69]}]
set_property PACKAGE_PIN E9 [get_ports {c0_ddr4_dq[6]}]
set_property PACKAGE_PIN B21 [get_ports {c0_ddr4_dq[70]}]
set_property PACKAGE_PIN A21 [get_ports {c0_ddr4_dq[71]}]
set_property PACKAGE_PIN D7 [get_ports {c0_ddr4_dq[72]}]
set_property PACKAGE_PIN C7 [get_ports {c0_ddr4_dq[73]}]
set_property PACKAGE_PIN B8 [get_ports {c0_ddr4_dq[74]}]
set_property PACKAGE_PIN B7 [get_ports {c0_ddr4_dq[75]}]
set_property PACKAGE_PIN C10 [get_ports {c0_ddr4_dq[76]}]
set_property PACKAGE_PIN B10 [get_ports {c0_ddr4_dq[77]}]
set_property PACKAGE_PIN B11 [get_ports {c0_ddr4_dq[78]}]
set_property PACKAGE_PIN A11 [get_ports {c0_ddr4_dq[79]}]
set_property PACKAGE_PIN D9 [get_ports {c0_ddr4_dq[7]}]
set_property PACKAGE_PIN R19 [get_ports {c0_ddr4_dq[8]}]
set_property PACKAGE_PIN P19 [get_ports {c0_ddr4_dq[9]}]
set_property PACKAGE_PIN A8 [get_ports {c0_ddr4_dqs_c[9]}]
set_property PACKAGE_PIN D11 [get_ports {c0_ddr4_dqs_t[0]}]
set_property PACKAGE_PIN D10 [get_ports {c0_ddr4_dqs_c[0]}]
set_property PACKAGE_PIN P17 [get_ports {c0_ddr4_dqs_t[1]}]
set_property PACKAGE_PIN P16 [get_ports {c0_ddr4_dqs_c[1]}]
set_property PACKAGE_PIN K19 [get_ports {c0_ddr4_dqs_t[2]}]
set_property PACKAGE_PIN J19 [get_ports {c0_ddr4_dqs_c[2]}]
set_property PACKAGE_PIN F16 [get_ports {c0_ddr4_dqs_t[3]}]
set_property PACKAGE_PIN E16 [get_ports {c0_ddr4_dqs_c[3]}]
set_property PACKAGE_PIN A19 [get_ports {c0_ddr4_dqs_t[4]}]
set_property PACKAGE_PIN A18 [get_ports {c0_ddr4_dqs_c[4]}]
set_property PACKAGE_PIN N22 [get_ports {c0_ddr4_dqs_t[5]}]
set_property PACKAGE_PIN M22 [get_ports {c0_ddr4_dqs_c[5]}]
set_property PACKAGE_PIN M20 [get_ports {c0_ddr4_dqs_t[6]}]
set_property PACKAGE_PIN L20 [get_ports {c0_ddr4_dqs_c[6]}]
set_property PACKAGE_PIN H24 [get_ports {c0_ddr4_dqs_t[7]}]
set_property PACKAGE_PIN G23 [get_ports {c0_ddr4_dqs_c[7]}]
set_property PACKAGE_PIN D22 [get_ports {c0_ddr4_dqs_t[8]}]
set_property PACKAGE_PIN C22 [get_ports {c0_ddr4_dqs_c[8]}]
set_property PACKAGE_PIN A9 [get_ports {c0_ddr4_dqs_t[9]}]
set_property PACKAGE_PIN C8 [get_ports {c0_ddr4_odt[0]}]
set_property PACKAGE_PIN N20 [get_ports c0_ddr4_reset_n]

###
# DDR 1
###
# 250 MHZ clk
set_property IOSTANDARD DIFF_SSTL12 [get_ports c1_sys_clk_p]
set_property PACKAGE_PIN AW26 [get_ports c1_sys_clk_p]
set_property PACKAGE_PIN AW27 [get_ports c1_sys_clk_n]
set_property IOSTANDARD DIFF_SSTL12 [get_ports c1_sys_clk_n]

set_property PACKAGE_PIN AN25 [get_ports c1_ddr4_act_n]
set_property PACKAGE_PIN AM27 [get_ports {c1_ddr4_adr[0]}]
set_property PACKAGE_PIN AL27 [get_ports {c1_ddr4_adr[1]}]
set_property PACKAGE_PIN AP26 [get_ports {c1_ddr4_adr[2]}]
set_property PACKAGE_PIN AP25 [get_ports {c1_ddr4_adr[3]}]
set_property PACKAGE_PIN AN28 [get_ports {c1_ddr4_adr[4]}]
set_property PACKAGE_PIN AM28 [get_ports {c1_ddr4_adr[5]}]
set_property PACKAGE_PIN AP28 [get_ports {c1_ddr4_adr[6]}]
set_property PACKAGE_PIN AP27 [get_ports {c1_ddr4_adr[7]}]
set_property PACKAGE_PIN AN26 [get_ports {c1_ddr4_adr[8]}]
set_property PACKAGE_PIN AM26 [get_ports {c1_ddr4_adr[9]}]
set_property PACKAGE_PIN AR28 [get_ports {c1_ddr4_adr[10]}]
set_property PACKAGE_PIN AR27 [get_ports {c1_ddr4_adr[11]}]
set_property PACKAGE_PIN AV25 [get_ports {c1_ddr4_adr[12]}]
set_property PACKAGE_PIN AT25 [get_ports {c1_ddr4_adr[13]}]
set_property PACKAGE_PIN AV28 [get_ports {c1_ddr4_adr[14]}]
set_property PACKAGE_PIN AU26 [get_ports {c1_ddr4_adr[15]}]
set_property PACKAGE_PIN AV26 [get_ports {c1_ddr4_adr[16]}]
set_property PACKAGE_PIN AR25 [get_ports {c1_ddr4_ba[0]}]
set_property PACKAGE_PIN AU28 [get_ports {c1_ddr4_ba[1]}]
set_property PACKAGE_PIN AU27 [get_ports {c1_ddr4_bg[0]}]
set_property PACKAGE_PIN AT26 [get_ports {c1_ddr4_ck_t[0]}]
set_property PACKAGE_PIN AT27 [get_ports {c1_ddr4_ck_c[0]}]
set_property PACKAGE_PIN AW28 [get_ports {c1_ddr4_cke[0]}]
set_property PACKAGE_PIN AY29 [get_ports {c1_ddr4_cs_n[0]}]
set_property PACKAGE_PIN BD30 [get_ports {c1_ddr4_dq[0]}]
set_property PACKAGE_PIN BE30 [get_ports {c1_ddr4_dq[1]}]
set_property PACKAGE_PIN BD32 [get_ports {c1_ddr4_dq[2]}]
set_property PACKAGE_PIN BE33 [get_ports {c1_ddr4_dq[3]}]
set_property PACKAGE_PIN BC33 [get_ports {c1_ddr4_dq[4]}]
set_property PACKAGE_PIN BD33 [get_ports {c1_ddr4_dq[5]}]
set_property PACKAGE_PIN BC31 [get_ports {c1_ddr4_dq[6]}]
set_property PACKAGE_PIN BD31 [get_ports {c1_ddr4_dq[7]}]
set_property PACKAGE_PIN BA32 [get_ports {c1_ddr4_dq[8]}]
set_property PACKAGE_PIN BB33 [get_ports {c1_ddr4_dq[9]}]
set_property PACKAGE_PIN BA30 [get_ports {c1_ddr4_dq[10]}]
set_property PACKAGE_PIN BA31 [get_ports {c1_ddr4_dq[11]}]
set_property PACKAGE_PIN AW31 [get_ports {c1_ddr4_dq[12]}]
set_property PACKAGE_PIN AW32 [get_ports {c1_ddr4_dq[13]}]
set_property PACKAGE_PIN AY32 [get_ports {c1_ddr4_dq[14]}]
set_property PACKAGE_PIN AY33 [get_ports {c1_ddr4_dq[15]}]
set_property PACKAGE_PIN AV30 [get_ports {c1_ddr4_dq[16]}]
set_property PACKAGE_PIN AW30 [get_ports {c1_ddr4_dq[17]}]
set_property PACKAGE_PIN AU33 [get_ports {c1_ddr4_dq[18]}]
set_property PACKAGE_PIN AU34 [get_ports {c1_ddr4_dq[19]}]
set_property PACKAGE_PIN AT31 [get_ports {c1_ddr4_dq[20]}]
set_property PACKAGE_PIN AU32 [get_ports {c1_ddr4_dq[21]}]
set_property PACKAGE_PIN AU31 [get_ports {c1_ddr4_dq[22]}]
set_property PACKAGE_PIN AV31 [get_ports {c1_ddr4_dq[23]}]
set_property PACKAGE_PIN AR33 [get_ports {c1_ddr4_dq[24]}]
set_property PACKAGE_PIN AT34 [get_ports {c1_ddr4_dq[25]}]
set_property PACKAGE_PIN AT29 [get_ports {c1_ddr4_dq[26]}]
set_property PACKAGE_PIN AT30 [get_ports {c1_ddr4_dq[27]}]
set_property PACKAGE_PIN AP30 [get_ports {c1_ddr4_dq[28]}]
set_property PACKAGE_PIN AR30 [get_ports {c1_ddr4_dq[29]}]
set_property PACKAGE_PIN AN30 [get_ports {c1_ddr4_dq[30]}]
set_property PACKAGE_PIN AN31 [get_ports {c1_ddr4_dq[31]}]
set_property PACKAGE_PIN BE34 [get_ports {c1_ddr4_dq[32]}]
set_property PACKAGE_PIN BF34 [get_ports {c1_ddr4_dq[33]}]
set_property PACKAGE_PIN BC35 [get_ports {c1_ddr4_dq[34]}]
set_property PACKAGE_PIN BC36 [get_ports {c1_ddr4_dq[35]}]
set_property PACKAGE_PIN BD36 [get_ports {c1_ddr4_dq[36]}]
set_property PACKAGE_PIN BE37 [get_ports {c1_ddr4_dq[37]}]
set_property PACKAGE_PIN BF36 [get_ports {c1_ddr4_dq[38]}]
set_property PACKAGE_PIN BF37 [get_ports {c1_ddr4_dq[39]}]
set_property PACKAGE_PIN BD37 [get_ports {c1_ddr4_dq[40]}]
set_property PACKAGE_PIN BE38 [get_ports {c1_ddr4_dq[41]}]
set_property PACKAGE_PIN BC39 [get_ports {c1_ddr4_dq[42]}]
set_property PACKAGE_PIN BD40 [get_ports {c1_ddr4_dq[43]}]
set_property PACKAGE_PIN BB38 [get_ports {c1_ddr4_dq[44]}]
set_property PACKAGE_PIN BB39 [get_ports {c1_ddr4_dq[45]}]
set_property PACKAGE_PIN BC38 [get_ports {c1_ddr4_dq[46]}]
set_property PACKAGE_PIN BD38 [get_ports {c1_ddr4_dq[47]}]
set_property PACKAGE_PIN BB36 [get_ports {c1_ddr4_dq[48]}]
set_property PACKAGE_PIN BB37 [get_ports {c1_ddr4_dq[49]}]
set_property PACKAGE_PIN BA39 [get_ports {c1_ddr4_dq[50]}]
set_property PACKAGE_PIN BA40 [get_ports {c1_ddr4_dq[51]}]
set_property PACKAGE_PIN AW40 [get_ports {c1_ddr4_dq[52]}]
set_property PACKAGE_PIN AY40 [get_ports {c1_ddr4_dq[53]}]
set_property PACKAGE_PIN AY38 [get_ports {c1_ddr4_dq[54]}]
set_property PACKAGE_PIN AY39 [get_ports {c1_ddr4_dq[55]}]
set_property PACKAGE_PIN AW35 [get_ports {c1_ddr4_dq[56]}]
set_property PACKAGE_PIN AW36 [get_ports {c1_ddr4_dq[57]}]
set_property PACKAGE_PIN AU40 [get_ports {c1_ddr4_dq[58]}]
set_property PACKAGE_PIN AV40 [get_ports {c1_ddr4_dq[59]}]
set_property PACKAGE_PIN AU38 [get_ports {c1_ddr4_dq[60]}]
set_property PACKAGE_PIN AU39 [get_ports {c1_ddr4_dq[61]}]
set_property PACKAGE_PIN AV38 [get_ports {c1_ddr4_dq[62]}]
set_property PACKAGE_PIN AV39 [get_ports {c1_ddr4_dq[63]}]
set_property PACKAGE_PIN BF26 [get_ports {c1_ddr4_dq[64]}]
set_property PACKAGE_PIN BF27 [get_ports {c1_ddr4_dq[65]}]
set_property PACKAGE_PIN BD28 [get_ports {c1_ddr4_dq[66]}]
set_property PACKAGE_PIN BE28 [get_ports {c1_ddr4_dq[67]}]
set_property PACKAGE_PIN BD27 [get_ports {c1_ddr4_dq[68]}]
set_property PACKAGE_PIN BE27 [get_ports {c1_ddr4_dq[69]}]
set_property PACKAGE_PIN BD25 [get_ports {c1_ddr4_dq[70]}]
set_property PACKAGE_PIN BD26 [get_ports {c1_ddr4_dq[71]}]
set_property PACKAGE_PIN BC25 [get_ports {c1_ddr4_dq[72]}]
set_property PACKAGE_PIN BC26 [get_ports {c1_ddr4_dq[73]}]
set_property PACKAGE_PIN BB28 [get_ports {c1_ddr4_dq[74]}]
set_property PACKAGE_PIN BC28 [get_ports {c1_ddr4_dq[75]}]
set_property PACKAGE_PIN AY27 [get_ports {c1_ddr4_dq[76]}]
set_property PACKAGE_PIN AY28 [get_ports {c1_ddr4_dq[77]}]
set_property PACKAGE_PIN BA27 [get_ports {c1_ddr4_dq[78]}]
set_property PACKAGE_PIN BB27 [get_ports {c1_ddr4_dq[79]}]
set_property PACKAGE_PIN BB26 [get_ports {c1_ddr4_dqs_c[9]}]
set_property PACKAGE_PIN BF30 [get_ports {c1_ddr4_dqs_t[0]}]
set_property PACKAGE_PIN BF31 [get_ports {c1_ddr4_dqs_c[0]}]
set_property PACKAGE_PIN AY34 [get_ports {c1_ddr4_dqs_t[1]}]
set_property PACKAGE_PIN BA34 [get_ports {c1_ddr4_dqs_c[1]}]
set_property PACKAGE_PIN AU29 [get_ports {c1_ddr4_dqs_t[2]}]
set_property PACKAGE_PIN AV29 [get_ports {c1_ddr4_dqs_c[2]}]
set_property PACKAGE_PIN AP31 [get_ports {c1_ddr4_dqs_t[3]}]
set_property PACKAGE_PIN AP32 [get_ports {c1_ddr4_dqs_c[3]}]
set_property PACKAGE_PIN BE35 [get_ports {c1_ddr4_dqs_t[4]}]
set_property PACKAGE_PIN BF35 [get_ports {c1_ddr4_dqs_c[4]}]
set_property PACKAGE_PIN BE39 [get_ports {c1_ddr4_dqs_t[5]}]
set_property PACKAGE_PIN BF39 [get_ports {c1_ddr4_dqs_c[5]}]
set_property PACKAGE_PIN BA35 [get_ports {c1_ddr4_dqs_t[6]}]
set_property PACKAGE_PIN BA36 [get_ports {c1_ddr4_dqs_c[6]}]
set_property PACKAGE_PIN AW37 [get_ports {c1_ddr4_dqs_t[7]}]
set_property PACKAGE_PIN AW38 [get_ports {c1_ddr4_dqs_c[7]}]
set_property PACKAGE_PIN BE25 [get_ports {c1_ddr4_dqs_t[8]}]
set_property PACKAGE_PIN BF25 [get_ports {c1_ddr4_dqs_c[8]}]
set_property PACKAGE_PIN BA26 [get_ports {c1_ddr4_dqs_t[9]}]
set_property PACKAGE_PIN BE32 [get_ports {c1_ddr4_dm_dbi_n[0]}]
set_property PACKAGE_PIN BB31 [get_ports {c1_ddr4_dm_dbi_n[1]}]
set_property PACKAGE_PIN AV33 [get_ports {c1_ddr4_dm_dbi_n[2]}]
set_property PACKAGE_PIN AR32 [get_ports {c1_ddr4_dm_dbi_n[3]}]
set_property PACKAGE_PIN BC34 [get_ports {c1_ddr4_dm_dbi_n[4]}]
set_property PACKAGE_PIN BE40 [get_ports {c1_ddr4_dm_dbi_n[5]}]
set_property PACKAGE_PIN AY37 [get_ports {c1_ddr4_dm_dbi_n[6]}]
set_property PACKAGE_PIN AV35 [get_ports {c1_ddr4_dm_dbi_n[7]}]
set_property PACKAGE_PIN BE29 [get_ports {c1_ddr4_dm_dbi_n[8]}]
set_property PACKAGE_PIN BA29 [get_ports {c1_ddr4_dm_dbi_n[9]}]
set_property PACKAGE_PIN BB29 [get_ports {c1_ddr4_odt[0]}]
set_property PACKAGE_PIN BD35 [get_ports c1_ddr4_reset_n]

